#

# Deriving - API Reference

## Runtime library

Runtime for deriving classes shipped with deriving.

Deriving_Show |
Deriving_Eq |
Deriving_Bounded |
Deriving_Enum |
Deriving_monad |
Deriving_Dump |
Deriving_Typeable | /*
Deriving_Pickle |
Deriving_Functor |
Deriving_Default |

Deriving_num |

## Syntax

The deriving.syntax.common package contains modules needed to write deriving classes.

Id |
Utils |
Type |
Defs |
Clusters |
Base | /*
Extend |

## Index

- Index of types
- Index of exceptions
- Index of values
- Index of class methods
- Index of classes
- Index of modules
- Index of module types